AMH启用HTTPS后,强制跳转的规则设置

使用AMH搭建的网站环境,如果要启用HTTPS,并且要强制所有访问都跳转到https上,只需要在重写规则最前面加一句即可。规则如下,里面的域名换成自己的。 if ($scheme = http) { return 301 https://luobne.org$request_uri; } 下面这句是域名跳转的规则,保证只用一个...

WordPress性能加速 开启OPcache裸奔是最快的!

WordPress性能加速 开启OPcache裸奔是最快的!

折腾wordpress很久了,一直为wordpress性能而操心。缓存插件用过无数款了,最后发现提升服务器性能才是关键,而安装插件都是在增加运行负担。 新购的香港主机配置了Nginx1.10和PHP7.0,启用了HTTP2,然后装了OPcache。Wordpress速度得到非常明显的提升,页面执行时间从几百毫秒减少到几十毫秒。 然后又测试了各种缓存插件,包括Memecached、...

怎么取消Plesk面板底部的facebook like和谷歌fonts

怎么取消Plesk面板底部的facebook like和谷歌fonts

作者:Plesk 链接:https://www.zhihu.com/question/55392056/answer/144348628 来源:知乎 著作权归作者所有,转载请联系作者获得授权。由于Plesk是国外研发的软件,因此在界面底端有Facebook like 链接并且会调用谷歌fonts,对于国内用户而言调取Facebook like链接和谷歌字体会导致面板的加载速度变慢。解决办法有两个,分别有国内Ples...

搬迁到新的服务器 测试多图效果

搬迁到新的服务器 测试多图效果

程序从Typecho转回Wordpress。由于Typecho更新缓慢,对高版本PHP不兼容,经常出现一些BUG,所以就换回Wordpress了。 除了换程序,也换了主机。这次搬到小马云服务器上了,小马云目前还未对外销售,用自己的博客做实验。 小马云是基于阿里云服务器的博客主机服务商,背靠马云爸爸的强大云服务器基础,所以叫小马云。追求执行效率和访问速度,...

Linux服务器间网站打包迁移的过程和用到的命令

将运行在服务器A上的网站打包迁移到服务器B(假设IP地址为192.168.1.1)。 首先用putty登录服务器A,进入到相应的网站目录: cd /data/www/bbs 把整个网站目录压缩打包: zip -r bbs.zip /data/www/bbs/* 传输打包文件: scp /data/www/bbs/bbs.zip username@192.168....

typecho搬家出现database server error 解决办法

typecho搬家换服务器,结果出现了“500 database server error”的错误。 在网上找了半天也没找到解决办法。一开始以为是数据库的问题。最后发现是PHP版本太高了。新环境是PHP7.0,换成PHP5.3就正常了。 typecho虽然很小清新,但相关文档还是太少了。特别是最近,都没...

WordPress启用HTTPS的过程及经验

最近HTTPS很火,主要是有很多便宜甚至免费的SSL证书。不弄白不弄嘛!而且浏览器显示绿色的小锁,也是很好看的。我有一个内容很多的wordpress建立的网站,心血来潮决定转HTTPS。经过两天折腾发现并不简单,将其中的经验分享给大家。本文只讲wordpress的设置,SSL证书...

解决WordPress升级版本及安装插件出现”Problem with the SSL CA cert”

帮助一个同学的WordPress博客从虚拟主机搬迁到VPS主机环境中,他的VPS环境是采用的免费版AMH4.2环境搭建的,告知在升级最新WordPress4.3版本以及安装插件的时候无法下载,有提示Problem with the SSL CA cert (path? access rights?)错误,这个问题老左也还是第一次...

NGINX域名跳转规则

这是一个Nginx域名跳转规则,根据访问域名,自动跳转到带域名参数的对应页面。并且对域名进行了拆分和组合。 王丽辉同学帮忙写的正则表达式,特此感谢。 用途:域名停靠。域名太多了,专门用一个站来展示域名,访问对应的域名则进入到对应的页面。做展示的这个站要支...

AMH支持php5.2.17p1 解决方案

AMH支持php5.2.17p1 解决方案 PHP官方早已放弃php5.2版本,停止维护、更新已有好多年了。 但国内还有一些老程序停留在php5.2环境,前段时间也做了一系列投票调查、与收集用户反馈, 最近多用户模块首个版本也基本完成,最后还是决定提供php5.2版本运行支持, 但是同...